# SNAP

Intended audience: administrators, users, developers

The SNAP is set of device servers and an GUI application (Bensikin) providing so called SNAPshot functionality.

A snapshot is, as said in the name, a “picture” of a list of equipment’s “settings” (more precisely of their Tango attributes values) taken at a precise instant.

Snapshot are stored in a database (MySQL or Oracle). These can be retrieved and restored to the equipment (devices). This kind of functionality is often called a recipe management. It allows to create set of configuration settings (recipes) used for particular purposes (like selected mode of accelerator operation).

- SNAPshot (Archiving) installation and configuration
  - Overview
  - Prerequisites
  - Installation
  - Configuration
  - Usage
  - Properties reference
- Bensikin User Manual
  - Introduction
  - Application’s context: Contexts and Snapshots
  - Application’s description and goals
  - Account Manager
  - Contexts Management
  - Snapshot Management
  - Favorites
  - Options
  - The Bensikin toolbar